#ifndef ALGO_COMPLEXITY_H_INCLUDED
#define ALGO_COMPLEXITY_H_INCLUDED

#include <string>
#include <vector>
#include <fstream>

#include "analysis.h"

std::vector<Statistic> compute_complexity(std::default_random_engine& randomizer, SearchHeuristic* algo, int n_initial, int n_final, int n_step=1, int nb_tests=100, double slq=-1, bool displaying=true);
void save_in_file(std::string namefile, std::vector<Statistic> stats);

#endif // ALGO_COMPLEXITY_H_INCLUDED

